## org.apache.lucene.search.grouping
Class AbstractSecondPassGroupingCollector.SearchGroupDocs<GROUP_VALUE_TYPE>

    java.lang.Object
      org.apache.lucene.search.grouping.AbstractSecondPassGroupingCollector.SearchGroupDocs<GROUP_VALUE_TYPE>

Enclosing class:
  AbstractSecondPassGroupingCollector<GROUP_VALUE_TYPE>

    public class AbstractSecondPassGroupingCollector.SearchGroupDocs<GROUP_VALUE_TYPE>

extends Object

Field Summary
`org.apache.lucene.search.TopDocsCollector<?>` `collector`
`GROUP_VALUE_TYPE` `groupValue`

Constructor Summary
`AbstractSecondPassGroupingCollector.SearchGroupDocs(GROUP_VALUE_TYPE groupValue, org.apache.lucene.search.TopDocsCollector<?> collector)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### groupValue

    public final GROUP_VALUE_TYPE groupValue

### collector

    public final org.apache.lucene.search.TopDocsCollector<?> collector

Constructor Detail

### AbstractSecondPassGroupingCollector.SearchGroupDocs

    public AbstractSecondPassGroupingCollector.SearchGroupDocs(GROUP_VALUE_TYPE groupValue,
                                                               org.apache.lucene.search.TopDocsCollector<?> collector)